Package wx :: Module gizmos :: Class RemotelyScrolledTreeCtrl

[frames | no frames]

## Type RemotelyScrolledTreeCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                      TreeCtrl --+
                                 |
                                RemotelyScrolledTreeCtrl

Proxy of C++ RemotelyScrolledTreeCtrl class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
| `AdjustRemoteScrollbars(self)`
Window | `GetCompanionWindow(self)`
ScrolledWindow | `GetScrolledWindow(self)`
| `HideVScrollbar(self)`
| `ScrollToLine(self, posHoriz, posVert)`
| `SetCompanionWindow(self, companion)`

Property Summary
| `CompanionWindow`: See `GetCompanionWindow` and `SetCompanionWindow`
| `ScrolledWindow`: See `GetScrolledWindow`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id, pos=DefaultPosition, size=DefaultSize, style=TR_HAS_BUTTONS)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.TreeCtrl.__init__` (inherited documentation)

Property Details

### CompanionWindow

See `GetCompanionWindow` and `SetCompanionWindow`

  Get Method:
    `GetCompanionWindow`(self)
  Set Method:
    `SetCompanionWindow`(self, companion)

### ScrolledWindow

See `GetScrolledWindow`

  Get Method:
    `GetScrolledWindow`(self)

### thisown

The membership flag

  Get Method:
    unknown--1220924476(...)
  Set Method:
    unknown--1220924420(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:32 2007 | http://epydoc.sf.net